Bug 678966 - Python3.s distutils breaks python3-setuptools package
Summary: Python3.s distutils breaks python3-setuptools package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 05:41 UTC by Toshio Ernie Kuratomi
Modified: 2011-03-10 03:12 UTC (History)
3 users (show)

Fixed In Version: python-setuptools-0.6.14-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 03:12:02 UTC


Attachments (Terms of Use)
koji build.log showing failing unit tests (72 bytes, text/plain)
2011-02-21 06:23 UTC, Toshio Ernie Kuratomi
no flags Details


Links
System ID Priority Status Summary Last Updated
Python 11200 None None None Never

Description Toshio Ernie Kuratomi 2011-02-21 05:41:15 UTC
Description of problem:
Although we all agreed at PyCon2010 that we weren't going to touch distutils so that we didn't accidentally break packages that depend on it, distutils was changed for Python-3.2 and broke at least setuptools.

Version-Release number of selected component (if applicable):
python3-3.2 (any)

How reproducible:
Everytime

Steps to Reproduce:
1. fedpkg build python-setuptools
2.
3.
  
Actual results:
Failure in the unittests for the python3-setuptools subpackage

Expected results:
package builds without errors

Additional info:
Upstream bug report.  http://bugs.python.org/issue11200  MvL pointed out that this could potentially happen but no one reverted it so we need to come up with the fix for setuptools.  It could be as simple as adding abiflags to the config_vars dict in finalize_options but I'm not sure.  Antoine says that the code is copy-pasted from distutils and has fallen out of sync.  I don't have the historical background with the code to know whether just adding abiflags to the config_vars dict is the solution or if we need to do more than that.

Comment 1 Toshio Ernie Kuratomi 2011-02-21 06:23:41 UTC
Created attachment 479827 [details]
koji build.log showing failing unit tests

Comment 2 Fedora Update System 2011-02-23 00:35:17 UTC
python-setuptools-0.6.14-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-setuptools-0.6.14-7.fc15

Comment 3 Fedora Update System 2011-02-23 20:29:00 UTC
python-setuptools-0.6.14-7.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-setuptools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-setuptools-0.6.14-7.fc15

Comment 4 Fedora Update System 2011-03-10 03:11:57 UTC
python-setuptools-0.6.14-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.